Package org.apache.maven.scm

## Class ScmTagParameters

- java.lang.Object
- - org.apache.maven.scm.ScmTagParameters

All Implemented Interfaces:
  `java.io.Serializable`

    public class ScmTagParameters
    extends java.lang.Object
    implements java.io.Serializable

Since:
  1.2
Author:
  Olivier Lamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmTagParameters()`
`ScmTagParameters​(java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`
`java.lang.String` `getScmRevision()`
`boolean` `isPinExternals()`
`boolean` `isRemoteTagging()`
`boolean` `isSign()`
`void` `setMessage​(java.lang.String message)`
`void` `setPinExternals​(boolean pinExternals)`
`void` `setRemoteTagging​(boolean remoteTagging)`
`void` `setScmRevision​(java.lang.String scmRevision)`
`void` `setSign​(boolean sign)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmTagParameters

    public ScmTagParameters()

#### ScmTagParameters

    public ScmTagParameters​(java.lang.String message)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

#### setMessage

    public void setMessage​(java.lang.String message)

#### isRemoteTagging

    public boolean isRemoteTagging()

#### setRemoteTagging

    public void setRemoteTagging​(boolean remoteTagging)

#### isPinExternals

    public boolean isPinExternals()

#### setPinExternals

    public void setPinExternals​(boolean pinExternals)

#### isSign

    public boolean isSign()

#### setSign

    public void setSign​(boolean sign)

#### getScmRevision

    public java.lang.String getScmRevision()

#### setScmRevision

    public void setScmRevision​(java.lang.String scmRevision)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`